Bug 1257963 - RFE: Support for Router per Project/Namespace
RFE: Support for Router per Project/Namespace
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.0.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Ben Bennett
Johnny Liu
:
Depends On: 1305403
Blocks: 1267746
  Show dependency treegraph
 
Reported: 2015-08-28 09:57 EDT by Ali Sogukpinar
Modified: 2016-05-31 16:19 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-31 16:19:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali Sogukpinar 2015-08-28 09:57:28 EDT
3. What is the nature and description of the request?  
    Entry point to OSE environment is Router pod. OSE will be used in multi-tenant environment and each tenant will have their own project. Tenant should be able to access only to the services defined in their project. Customer is planning to create separate routers for each project and these routers should contain only routes from designated projects.
      
    4. Why does the customer need this? (List the business requirements here)  
    Customer wants to use OSE in multi-tenant setup and data and it is a business and security requirement to have traffic from each teanant needs to be separated and isolated.  

    5. How would the customer like to achieve this? (List the functional requirements here)  
	Router pods will listen to the route related events for a specific project.      
	
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
	
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
	No      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
       November 2015
    9. Is the sales team involved in this request and do they have any additional input?  
      	Yes
    10. List any affected packages or components.  
      	Router image
    11. Would the customer be able to assist in testing this functionality if implemented?  
	Yes
Comment 14 Mike McCune 2016-03-28 19:02:11 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 17 Eric Rich 2016-05-31 16:19:32 EDT
With the release of https://bugzilla.redhat.com/show_bug.cgi?id=1305403 with 3.2 we can consider this closed.

Note You need to log in before you can comment on or make changes to this bug.